MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003442ATutor- no cat -public2008-06-16 05:592018-02-18 14:57
Reporterharris 
Assigned Togreg 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version2.2.3 
Summary0003442: phpmailer won't work if escapeshellcmd() is disabled
Descriptionhttp://www.atutor.ca/view/7/12666/1.html [^]

If the server has escapeshellcmd disabled, then classes/phpmailer/class.phpmailer.php line 393-395 will fail
TagsNo tags attached.
Affects versionSVN
SVN Revision#e74cf6e..e7404e4 master -> master
Attached Files

- Relationships

-  Notes
(0003006)
harris (developer)
2008-06-16 06:08

Need a function to handles escapeshellcmd if it's disabled
(0007561)
travm1 (reporter)
2017-04-07 19:01

https://www.everipedia.com/phpmailer/ [^]
The encyclopedia page for PHPMailer is a good primer
(0007759)
greg (administrator)
2018-02-17 17:18

Not sure what a good solution to this issues is. to replace escapeshellcmd() when its disabled
(0007763)
cindy (administrator)
2018-02-17 19:56

I'm thinking escapeshellcmd() is disabled by most servers due to security concerns. Re-implementing this function potentially opens up the security hole again.

By reading phpmailer class, escapeshellcmd() is only used by one mailing method "sendmail": https://github.com/atutor/ATutor/blob/master/include/classes/phpmailer/class.phpmailer.php#L369. [^] Users who encounter this issue should consider to use other mailing methods such as SMTP.
(0007764)
greg (administrator)
2018-02-18 11:01

This seems to already be enable in atutormailer.class.php, as suggested in the following post:
https://stackoverflow.com/questions/41846441/phpmailer-and-function-escapeshellcmd [^]

It seems the workaround is available, so perhaps this is no longer an issue.
Will do some testing with SMTP alone to see how it works.
(0007765)
greg (administrator)
2018-02-18 14:57
edited on: 2018-02-18 14:57

extended the IsSMTP block for a simple gmail setup, if escapeshellcmd or sendmail are not working. For now set manually in config.inc.php after installation


- Issue History
Date Modified Username Field Change
2008-06-16 05:59 harris New Issue
2008-06-16 05:59 harris Affects version => SVN
2008-06-16 06:08 harris Note Added: 0003006
2017-04-07 19:01 travm1 Note Added: 0007561
2017-11-01 07:55 thalamusinc Note Added: 0007672
2017-11-10 18:33 greg Note Deleted: 0007672
2018-02-17 17:18 greg Note Added: 0007759
2018-02-17 17:18 greg Assigned To => cindy
2018-02-17 17:18 greg Status new => acknowledged
2018-02-17 19:56 cindy Note Added: 0007763
2018-02-18 11:01 greg Note Added: 0007764
2018-02-18 14:57 greg SVN Revision# => e74cf6e..e7404e4 master -> master
2018-02-18 14:57 greg Note Added: 0007765
2018-02-18 14:57 greg Status acknowledged => resolved
2018-02-18 14:57 greg Fixed in Version => 2.2.3
2018-02-18 14:57 greg Resolution open => fixed
2018-02-18 14:57 greg Assigned To cindy => greg
2018-02-18 14:57 greg Note Edited: 0007765 View Revisions


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker